
package com.ejie.ab63.clientesWS.X43ExpedienteElectronico;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

/**
 * <p>
 * Java class for TFolderBasicQuery complex type.
 * 
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * 
 * <pre>
 * &lt;complexType name="TFolderBasicQuery">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="userSessionToken" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="procedureIDList" type="{com/ejie/x43s/v2/ttn/xml}TStringList" minOccurs="0"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}folderID" minOccurs="0"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}folderNumber" minOccurs="0"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}folderTitle" minOccurs="0"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}holder" minOccurs="0"/>
 *         &lt;element name="openingStatus" type="{com/ejie/x43s/v2/ttn/xml}TStringList" minOccurs="0"/>
 *         &lt;element name="openFromDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime" minOccurs="0"/>
 *         &lt;element name="openToDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime" minOccurs="0"/>
 *         &lt;element name="closeFromDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime" minOccurs="0"/>
 *         &lt;element name="closeToDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime" minOccurs="0"/>
 *         &lt;element name="initFromDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime" minOccurs="0"/>
 *         &lt;element name="initToDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime" minOccurs="0"/>
 *         &lt;element name="procResponsible" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="instructor" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DNI" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="respTarea" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="mailboxIDList" type="{com/ejie/x43s/v2/ttn/xml}TStringList" minOccurs="0"/>
 *         &lt;element name="titular" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="relation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="waiting" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="representative" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="storeStatus" type="{com/ejie/x43s/v2/ttn/xml}TStringList" minOccurs="0"/>
 *         &lt;element name="numExpedientes" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="plazoFinalizacion" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="documentTypes" type="{com/ejie/x43s/v2/ttn/xml}TStringList" minOccurs="0"/>
 *         &lt;element name="documentName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TFolderBasicQuery", propOrder = { "userSessionToken", "procedureIDList", "folderID", "folderNumber",
		"folderTitle", "holder", "openingStatus", "openFromDate", "openToDate", "closeFromDate", "closeToDate",
		"initFromDate", "initToDate", "procResponsible", "instructor", "dni", "respTarea", "mailboxIDList", "titular",
		"relation", "waiting", "representative", "storeStatus", "numExpedientes", "plazoFinalizacion", "documentTypes",
		"documentName" })
public class TFolderBasicQuery {

	@XmlElement(required = true)
	protected String userSessionToken;
	protected TStringList procedureIDList;
	@XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml")
	@XmlJavaTypeAdapter(CollapsedStringAdapter.class)
	protected String folderID;
	@XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml")
	protected String folderNumber;
	@XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml")
	protected String folderTitle;
	@XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml")
	protected TPersonIDName holder;
	protected TStringList openingStatus;
	protected String openFromDate;
	protected String openToDate;
	protected String closeFromDate;
	protected String closeToDate;
	protected String initFromDate;
	protected String initToDate;
	protected String procResponsible;
	protected String instructor;
	@XmlElement(name = "DNI")
	protected String dni;
	protected String respTarea;
	protected TStringList mailboxIDList;
	protected String titular;
	protected String relation;
	protected String waiting;
	protected String representative;
	protected TStringList storeStatus;
	protected String numExpedientes;
	protected String plazoFinalizacion;
	protected TStringList documentTypes;
	protected String documentName;

	/**
	 * Gets the value of the userSessionToken property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getUserSessionToken() {
		return userSessionToken;
	}

	/**
	 * Sets the value of the userSessionToken property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setUserSessionToken(String value) {
		this.userSessionToken = value;
	}

	/**
	 * Gets the value of the procedureIDList property.
	 * 
	 * @return possible object is {@link TStringList }
	 * 
	 */
	public TStringList getProcedureIDList() {
		return procedureIDList;
	}

	/**
	 * Sets the value of the procedureIDList property.
	 * 
	 * @param value
	 *            allowed object is {@link TStringList }
	 * 
	 */
	public void setProcedureIDList(TStringList value) {
		this.procedureIDList = value;
	}

	/**
	 * Gets the value of the folderID property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getFolderID() {
		return folderID;
	}

	/**
	 * Sets the value of the folderID property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setFolderID(String value) {
		this.folderID = value;
	}

	/**
	 * Gets the value of the folderNumber property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getFolderNumber() {
		return folderNumber;
	}

	/**
	 * Sets the value of the folderNumber property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setFolderNumber(String value) {
		this.folderNumber = value;
	}

	/**
	 * Gets the value of the folderTitle property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getFolderTitle() {
		return folderTitle;
	}

	/**
	 * Sets the value of the folderTitle property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setFolderTitle(String value) {
		this.folderTitle = value;
	}

	/**
	 * Gets the value of the holder property.
	 * 
	 * @return possible object is {@link TPersonIDName }
	 * 
	 */
	public TPersonIDName getHolder() {
		return holder;
	}

	/**
	 * Sets the value of the holder property.
	 * 
	 * @param value
	 *            allowed object is {@link TPersonIDName }
	 * 
	 */
	public void setHolder(TPersonIDName value) {
		this.holder = value;
	}

	/**
	 * Gets the value of the openingStatus property.
	 * 
	 * @return possible object is {@link TStringList }
	 * 
	 */
	public TStringList getOpeningStatus() {
		return openingStatus;
	}

	/**
	 * Sets the value of the openingStatus property.
	 * 
	 * @param value
	 *            allowed object is {@link TStringList }
	 * 
	 */
	public void setOpeningStatus(TStringList value) {
		this.openingStatus = value;
	}

	/**
	 * Gets the value of the openFromDate property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getOpenFromDate() {
		return openFromDate;
	}

	/**
	 * Sets the value of the openFromDate property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setOpenFromDate(String value) {
		this.openFromDate = value;
	}

	/**
	 * Gets the value of the openToDate property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getOpenToDate() {
		return openToDate;
	}

	/**
	 * Sets the value of the openToDate property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setOpenToDate(String value) {
		this.openToDate = value;
	}

	/**
	 * Gets the value of the closeFromDate property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCloseFromDate() {
		return closeFromDate;
	}

	/**
	 * Sets the value of the closeFromDate property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setCloseFromDate(String value) {
		this.closeFromDate = value;
	}

	/**
	 * Gets the value of the closeToDate property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCloseToDate() {
		return closeToDate;
	}

	/**
	 * Sets the value of the closeToDate property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setCloseToDate(String value) {
		this.closeToDate = value;
	}

	/**
	 * Gets the value of the initFromDate property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getInitFromDate() {
		return initFromDate;
	}

	/**
	 * Sets the value of the initFromDate property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setInitFromDate(String value) {
		this.initFromDate = value;
	}

	/**
	 * Gets the value of the initToDate property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getInitToDate() {
		return initToDate;
	}

	/**
	 * Sets the value of the initToDate property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setInitToDate(String value) {
		this.initToDate = value;
	}

	/**
	 * Gets the value of the procResponsible property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getProcResponsible() {
		return procResponsible;
	}

	/**
	 * Sets the value of the procResponsible property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setProcResponsible(String value) {
		this.procResponsible = value;
	}

	/**
	 * Gets the value of the instructor property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getInstructor() {
		return instructor;
	}

	/**
	 * Sets the value of the instructor property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setInstructor(String value) {
		this.instructor = value;
	}

	/**
	 * Gets the value of the dni property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getDNI() {
		return dni;
	}

	/**
	 * Sets the value of the dni property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setDNI(String value) {
		this.dni = value;
	}

	/**
	 * Gets the value of the respTarea property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getRespTarea() {
		return respTarea;
	}

	/**
	 * Sets the value of the respTarea property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setRespTarea(String value) {
		this.respTarea = value;
	}

	/**
	 * Gets the value of the mailboxIDList property.
	 * 
	 * @return possible object is {@link TStringList }
	 * 
	 */
	public TStringList getMailboxIDList() {
		return mailboxIDList;
	}

	/**
	 * Sets the value of the mailboxIDList property.
	 * 
	 * @param value
	 *            allowed object is {@link TStringList }
	 * 
	 */
	public void setMailboxIDList(TStringList value) {
		this.mailboxIDList = value;
	}

	/**
	 * Gets the value of the titular property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getTitular() {
		return titular;
	}

	/**
	 * Sets the value of the titular property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setTitular(String value) {
		this.titular = value;
	}

	/**
	 * Gets the value of the relation property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getRelation() {
		return relation;
	}

	/**
	 * Sets the value of the relation property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setRelation(String value) {
		this.relation = value;
	}

	/**
	 * Gets the value of the waiting property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getWaiting() {
		return waiting;
	}

	/**
	 * Sets the value of the waiting property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setWaiting(String value) {
		this.waiting = value;
	}

	/**
	 * Gets the value of the representative property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getRepresentative() {
		return representative;
	}

	/**
	 * Sets the value of the representative property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setRepresentative(String value) {
		this.representative = value;
	}

	/**
	 * Gets the value of the storeStatus property.
	 * 
	 * @return possible object is {@link TStringList }
	 * 
	 */
	public TStringList getStoreStatus() {
		return storeStatus;
	}

	/**
	 * Sets the value of the storeStatus property.
	 * 
	 * @param value
	 *            allowed object is {@link TStringList }
	 * 
	 */
	public void setStoreStatus(TStringList value) {
		this.storeStatus = value;
	}

	/**
	 * Gets the value of the numExpedientes property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getNumExpedientes() {
		return numExpedientes;
	}

	/**
	 * Sets the value of the numExpedientes property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setNumExpedientes(String value) {
		this.numExpedientes = value;
	}

	/**
	 * Gets the value of the plazoFinalizacion property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getPlazoFinalizacion() {
		return plazoFinalizacion;
	}

	/**
	 * Sets the value of the plazoFinalizacion property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setPlazoFinalizacion(String value) {
		this.plazoFinalizacion = value;
	}

	/**
	 * Gets the value of the documentTypes property.
	 * 
	 * @return possible object is {@link TStringList }
	 * 
	 */
	public TStringList getDocumentTypes() {
		return documentTypes;
	}

	/**
	 * Sets the value of the documentTypes property.
	 * 
	 * @param value
	 *            allowed object is {@link TStringList }
	 * 
	 */
	public void setDocumentTypes(TStringList value) {
		this.documentTypes = value;
	}

	/**
	 * Gets the value of the documentName property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getDocumentName() {
		return documentName;
	}

	/**
	 * Sets the value of the documentName property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setDocumentName(String value) {
		this.documentName = value;
	}

}
